<?php

namespace App\Forms\Admin;

use App\User;

class UserForm extends AdminForm
{
    public function buildForm()
    {
        $this
            ->add('name', 'text', ['label' => __('Name')])
            ->add('email', 'email', ['label' => 'E-mail'])
            ->add('active', 'checkbox', ['label' => __('Active')])
            ->add('is_admin', 'checkbox', ['label' => __('Administrator')])
            ->add('created_at', 'static', ['label' => __('Created at')])
            ->add('updated_at', 'static', ['label' => __('Updated at')]);

        if ($model = $this->getModel()) {
            $this->addBefore('name', 'id', 'text', ['label' => 'ID', 'attr' => ['disabled']]);
            $this->add('email_verified_at', 'static', ['label' => __('Verified at')]);

            if ($model->isCurrent()) {
                $attr = (array)$this->getField('active')->getOption('attr');
                array_push($attr, 'readonly');
                $this->getField('active')->setOption('attr', $attr);
            }
        }
    }

    /**
     * @return User
     */
    function getModel()
    {
        return parent::getModel(); // TODO: Change the autogenerated stub
    }
}
